Subject: bug#62538: 29.0.60; Setting eglot-report-progress dir-locally doesn't work

From: Augusto Stoffel <[email-masked]>
Date: Thu, 30 Mar 2023 09:56:43 +0200

I set eglot-report-progress to nil in the "nil" section of my project's
.dir-locals.el, but I still see progress reports in the mode line.

If I add a debug message to the corresponding eglot-handle-notification
method, I see that the "(when eglot-report-progress" is evaluated in a
temp buffer and so doesn't pick up the dir-local value.

(By the way, Eglot was feeling very sluggish until I decided to disable
these notifications.  It reminded me of a similar situation with garbage
collection, where disabling a message changed user's perception of
latency in the process.  Or is this an urban legend?)